package dk.jens.backup;

public class AppInfo implements Comparable<AppInfo>
{
    String label, packageName, versionName, sourceDir, dataDir, lastBackup;
    int versionCode;
    public boolean isSystem, isInstalled, isChecked;

    public AppInfo(String packageName, String label, String versionName, int versionCode, String sourceDir, String dataDir, String lastBackup, boolean isSystem, boolean isInstalled)
    {
        this.label = label;
        this.packageName = packageName;
        this.versionName = versionName;
        this.versionCode = versionCode;
        this.sourceDir = sourceDir;
        this.dataDir = dataDir;
        this.lastBackup = lastBackup;
        this.isSystem = isSystem;
        this.isInstalled = isInstalled;
    }
    public String getPackageName()
    {
        return packageName;
    }
    public String getLabel()
    {
        return label;
    }
    public String getVersionName()
    {
        return versionName;
    }
    public int getVersionCode()
    {
        return versionCode;
    }
    public String getSourceDir()
    {
        return sourceDir;
    }
    public String getDataDir()
    {
        return dataDir;
    }
    public String getLastBackupTimestamp()
    {
        return lastBackup;
    }
    public void toggle()
    {
        isChecked = isChecked ? false : true;
    }
    public int compareTo(AppInfo appInfo)
    {
        return label.compareToIgnoreCase(appInfo.getLabel());
    }
    public String toString()
    {
        return label + " : " + packageName + " : " + lastBackup;
    }
}
